=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Ondřej Surý <ondrej@debian.org>,
 Vcs-Browser: https://salsa.debian.org/debian/libreswan
 Vcs-Git: https://salsa.debian.org/debian/libreswan.git
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Rules-Requires-Root: no
 Build-Depends:
  bison,
