=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 # this should track the definition of USERCOMPILE in mk/userland-cflags.mk:43
 # but without -fstack-protector-all for arches that lack stack-protector
-ifneq (,$(filter $(DEB_HOST_ARCH), hppa alpha))
+ifneq (,$(filter $(DEB_HOST_ARCH), hppa alpha ia64))
 export USERCOMPILE = -fexceptions -fno-strict-aliasing -fPIE -DPIE
 endif
 
@@ -24,7 +24,6 @@
 		IPSECVERSION=$(DEB_VERSION_UPSTREAM) \
 		INC_USRLOCAL=/usr \
 		FINALLIBEXECDIR=/usr/lib/ipsec \
-		PUBDIR=/usr/sbin \
 		INC_MANDIR=share/man \
 		FINALNSSDIR=/var/lib/ipsec/nss \
 		USE_LDAP=true \
@@ -44,7 +43,6 @@
 		FINALLIBEXECDIR=/usr/lib/ipsec \
 		INC_MANDIR=share/man \
 		FINALNSSDIR=/var/lib/ipsec/nss \
-		PUBDIR=$(CURDIR)/debian/libreswan/usr/sbin \
 		USE_KLIPS=false \
 		DESTDIR=$(CURDIR)/debian/libreswan
