=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Ondřej Surý <ondrej@debian.org>,
 Vcs-Browser: https://salsa.debian.org/debian/libreswan
 Vcs-Git: https://salsa.debian.org/debian/libreswan.git
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Build-Depends:
  bison,
@@ -46,10 +46,7 @@
  host,
  iproute2 | iproute (>= 20071016),
  iptables,
- libnspr4,
- libnss3 (>= 3.16),
  libnss3-tools,
- libunbound2,
  systemd,
  ${misc:Depends},
  ${shlibs:Depends},
