=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,11 @@
   ENABLE_LIBCAP_NG = USE_LIBCAP_NG=false
 endif
 
+CV25519_AVAILABILITY=$(shell if grep -q SEC_OID_CURVE25519 /usr/include/nss/secoidt.h; then echo true; else echo false; fi)
+
 override_dh_auto_build:
 	$(MAKE) programs \
+		ARCH=$(DEB_HOST_ARCH) \
 		IPSECVERSION=$(DEB_VERSION_UPSTREAM) \
 		INC_USRLOCAL=/usr \
 		FINALLIBEXECDIR=/usr/lib/ipsec \
@@ -32,6 +35,7 @@
 		USE_FIPSCHECK=false \
 		$(ENABLE_LIBCAP_NG) \
 		$(ENABLE_SELINUX) \
+		USE_DH31=$(CV25519_AVAILABILITY) \
 		USE_KLIPS=false \
 		USE_DNSSEC=true \
 		DEFAULT_DNSSEC_ROOTKEY_FILE=/usr/share/dns/root.key
@@ -39,6 +43,7 @@
 override_dh_auto_install-arch:
 	# Add here commands to install the package into debian/libreswan
 	$(MAKE) install \
+		ARCH=$(DEB_HOST_ARCH) \
 		INC_USRLOCAL=/usr \
 		FINALLIBEXECDIR=/usr/lib/ipsec \
 		INC_MANDIR=share/man \
