## libreswan 3.27.1

=== programs/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the
 # Free Software Foundation; either version 2 of the License, or (at your
-# option) any later version.  See <http://www.fsf.org/copyleft/gpl.txt>.
+# option) any later version.  See <https://www.gnu.org/licenses/gpl2.txt>.
 #
 # This program is distributed in the hope that it will be useful, but
 # WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
@@ -34,6 +34,10 @@
 SUBDIRS+=algparse
 SUBDIRS+=cavp
 
+ifeq ($(USE_PORTEXCLUDES),true)
+SUBDIRS+=portexcludes
+endif
+
 ifeq ($(USE_KLIPS),true)
 SUBDIRS+= _updown.klips eroute klipsdebug pf_key spi spigrp tncfg
 endif
