=== debian/changelog ===
libreswan (3.27.1-6+deb10u1+dde) unstable; urgency=medium

  * update

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 06 Jul 2021 10:11:58 +0800

libreswan (3.27.1-6+deb10u1+dde) buster-security; urgency=high

  * Non-maintainer upload.
  * Update version.

 -- wangpei <wangpei@uniontech.com>  Wed, 30 Jun 2021 14:45:23 +0800
